Page MenuHomePhabricator

Links on notification-page-linked, -bundle, -flyout etc.
Closed, ResolvedPublic

Description

Liangent asks: «Why are some pages wikilinked while some are not?». Please make them consistent and document any difference in the corresponding qqq message.

$ grep notification-page i18n/en.json

"notification-page-linked": "[[:$2]] was {{GENDER:$1|linked}} from [[:$3]]. [[Special:WhatLinksHere/$2|See all links to this page]].",
"notification-page-linked-flyout": "$2 was {{GENDER:$1|linked}} from [[:$3]].",
"notification-page-linked-email-subject": "Your page was linked on {{SITENAME}}",
"notification-page-linked-email-batch-body": "$2 was {{GENDER:$1|linked}} from $3.",
"notification-page-linked-bundle": "$2 was {{GENDER:$1|linked}} from $3 and $4 other {{PLURAL:$5|page|pages}}. [[Special:WhatLinksHere/$2|See all links to this page]]",
"notification-page-linked-email-batch-bundle-body": "$2 was {{GENDER:$1|linked}} from $3 and $4 other {{PLURAL:$5|page|pages}}.",

URL: https://translatewiki.net/wiki/Thread:Support/MediaWiki:Notification-page-linked_and_other_suffixed_version_%28-bundle,_-flyout%29

Details

Reference
bz67942

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:26 AM
bzimport added projects: Notifications, I18n.
bzimport set Reference to bz67942.
bzimport added a subscriber: Unknown Object (MLST).
Nemo_bis created this task.Jul 13 2014, 9:04 AM
Quiddity triaged this task as Normal priority.Dec 29 2014, 9:44 PM

I'm working on this, slowly, via https://www.mediawiki.org/wiki/Echo_%28Notifications%29/Message_audit

The first step was getting all the existing messages visible in one place (done)

The next step is figuring out the discrepancies, and then trying to track down if there was a rationale for any/each of them. (IIRC, In a few cases it was due to community request). I aim to do this tomorrow, or next week.

The final step will be deciding and then documenting the desired final outcome (bikeshedding!), and the changes needed to match that. Suggestions/Comments welcome, here or on the mw.o talkpage.

Quiddity claimed this task.Dec 29 2014, 9:44 PM

@Quiddity: are you still working on this/should this still be assigned to you?

Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptJul 6 2015, 8:19 AM
Legoktm moved this task from Backlog to In progress on the Notifications board.Jul 6 2015, 8:19 AM

@Legoktm Hypothetically, it's still on my to-do list. But that list is long, and full of <s>terrors</s> higher priorities. :-/

I could update the list of existing messages in ~1hour, but the 2nd and 3rd step will take many many hours of research...
If you can think of better ways to do it, or want to help with a specific part, please jump on in or suggest freely.

jrbs added a subscriber: jrbs.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 29 2015, 11:50 PM
Nemo_bis set Security to None.

At the moment, the only odd-out is:

"notification-page-linked": "[[:$2]] was {{GENDER:$1|linked}} from [[:$3]]. [[Special:WhatLinksHere/$2|See all links to this page]].",

(ie. title-message)

At the moment, the only odd-out is:

"notification-page-linked": "[[:$2]] was {{GENDER:$1|linked}} from [[:$3]]. [[Special:WhatLinksHere/$2|See all links to this page]].",

(ie. title-message)

I believe that message is unused now; it might still be used in notification emails currently, but if that's the case it'll stop being used when T121067: Write email formatter that uses presentation models is done.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 18 2016, 1:40 PM

Checked email messages sent for different types of notifications - wikilinks are not present in checked notification types.

DannyH removed a subscriber: DannyH.May 25 2016, 12:56 AM
jmatazzoni closed this task as Resolved.May 26 2016, 8:20 PM
matej_suchanek removed a subscriber: wikibugs-l-list.
matej_suchanek removed a subscriber: matej_suchanek.